Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionViewItemV2.StyleOptionVersion

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionViewItemV2.StyleOptionVersion

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionViewItemV2

    public static final class QStyleOptionViewItemV2.StyleOptionVersion

extends java.lang.Enum
implements QtEnumerator

This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass. The version is used by `QStyleOption` subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See also:
  `StyleOptionType` .

See Also:
  Serialized Form

Field Summary
`static QStyleOptionViewItemV2.StyleOptionVersion` | `Version` 4

Method Summary
`static QStyleOptionViewItemV2.StyleOptionVersion` | `resolve(int value)` Returns the StyleOptionVersion constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionViewItemV2.StyleOptionVersion` | `valueOf(java.lang.String name)`
`static QStyleOptionViewItemV2.StyleOptionVersion[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Version

    public static final QStyleOptionViewItemV2.StyleOptionVersion Version

  4

Method Detail

### values

    public static QStyleOptionViewItemV2.StyleOptionVersion[] values()

### valueOf

    public static QStyleOptionViewItemV2.StyleOptionVersion valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionViewItemV2.StyleOptionVersion resolve(int value)

  Returns the StyleOptionVersion constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD